`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 02/12/2019 07:22:00 PM
// Design Name: 
// Module Name: counter
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////

`define CSIG 20

module counter (clk, reset, signal);
	input 	wire	clk;
	input		wire	reset;
	output	wire	signal;
	
	reg [`CSIG-1:0] count;
	assign signal				= count[`CSIG-1];
	
	initial begin
		count = 1'b0;
	end

	always begin @(posedge(clk))
		if( reset )			count = 1'b0;
		else						count = count + 1;
	end
endmodule
